Spline2D (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.util.Spline2D class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.util
Class Spline2D

    java.lang.Object
      org.jgraph.util.Spline2D

public class Spline2D
extends Object

Interpolates points given in the 2D plane. The resulting spline is a function s: R -> R^2 with parameter t in [0,1].

Constructor Summary
`Spline2D(double[] x, double[] y)` Creates a new Spline2D.
`Spline2D(Point2D[] points)` Creates a new Spline2D.

Method Summary
`boolean` | `checkValues()` Used to check the correctness of this spline
`double` | `getDx(double t)`
`double` | `getDy(double t)`
`double` | `getLength()`
`double[]` | `getPoint(double t)`
`Spline` | `getSplineX()`
`Spline` | `getSplineY()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Spline2D

    public Spline2D(Point2D[] points)

  Creates a new Spline2D.

Parameters:
  `points` -

### Spline2D

    public Spline2D(double[] x,
                    double[] y)

  Creates a new Spline2D.

Parameters:
  `x` -
  `y` -

Method Detail

### getPoint

    public double[] getPoint(double t)

  Parameters:
    `t` - 0 <= t <= 1

### checkValues

    public boolean checkValues()

  Used to check the correctness of this spline

### getDx

    public double getDx(double t)

### getDy

    public double getDy(double t)

### getSplineX

    public Spline getSplineX()

### getSplineY

    public Spline getSplineY()

### getLength

    public double getLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.